smartsens 2.0.0.0

Data Fields
smartsens_s Struct Reference

Smart Sens Click context object. More...

`#include <smartsens.h>`

## Data Fields
digital_out_t | rst
digital_in_t | int_pin
i2c_master_t | i2c
spi_master_t | spi
uint8_t | slave_address
pin_name_t | chip_select
smartsens_drv_t | drv_sel
smartsens_master_io_t | write_f
smartsens_master_io_t | read_f
struct smartsens_fifo_parse_callback_table | table [SMARTSENS_N_VIRTUAL_SENSOR_MAX]
uint32_t | last_time_stamp [SMARTSENS_FIFO_TYPE_MAX]

## Detailed Description

Smart Sens Click context object.

Context object definition of Smart Sens Click driver.

## Field Documentation

## ◆ chip_select

pin_name_t chip_select

Chip select pin descriptor (used for SPI driver).

## ◆ drv_sel

smartsens_drv_t drv_sel

Master driver interface selector.

## ◆ i2c

i2c_master_t i2c

I2C driver object.

## ◆ int_pin

digital_in_t int_pin

Interrupt pin.

## ◆ last_time_stamp

uint32_t last_time_stamp[SMARTSENS_FIFO_TYPE_MAX]

## ◆ read_f

smartsens_master_io_t read_f

Master read function.

## ◆ rst

digital_out_t rst

Reset pin.

## ◆ slave_address

uint8_t slave_address

Device slave address (used for I2C driver).

## ◆ spi

spi_master_t spi

SPI driver object.

## ◆ table

struct smartsens_fifo_parse_callback_table table[SMARTSENS_N_VIRTUAL_SENSOR_MAX]

## ◆ write_f

smartsens_master_io_t write_f

Master write function.

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/smartsens/lib_smartsens/include/smartsens.h